#
# spec file for package ghc-GPipe-GLFW
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name GPipe-GLFW
Name:           ghc-%{pkg_name}
Version:        1.2.3
Release:        2.13
Summary:        GLFW OpenGL context creation for GPipe
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-GLFW-b-devel
BuildRequires:  ghc-GPipe-devel
BuildRequires:  ghc-exception-transformers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GPipe-GLFW is a utility library to enable the use of GLFW as the OpenGL window
and context handler for GPipe. GPipe is a typesafe functional API based on the
conceptual model of OpenGL, but without the imperative state machine.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/gpipe-glfw-smoketests

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Mon Nov 21 2016 psimons@suse.com
- Update to version 1.2.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.2 revision 0 with cabal2obs.
